corda / net.corda.core.serialization / SerializeAsTokenSerializer

# SerializeAsTokenSerializer

`class SerializeAsTokenSerializer<T : SerializeAsToken> : Serializer<T>`

A Kryo serializer for SerializeAsToken implementations.

This is registered in createKryo.

### Constructors

<init> | `SerializeAsTokenSerializer()` A Kryo serializer for SerializeAsToken implementations.

### Functions

read | `fun read(kryo: Kryo, input: Input, type: Class<T>): T`
write | `fun write(kryo: Kryo, output: Output, obj: T): Unit`

### Companion Object Functions

clearContext | `fun clearContext(kryo: Kryo): Unit`
setContext | `fun setContext(kryo: Kryo, context: SerializeAsTokenContext): Unit`